Package com.github.lgooddatepicker.zinternaltools

## Class ExtraTimeStrings

- java.lang.Object
- - com.github.lgooddatepicker.zinternaltools.ExtraTimeStrings

    public class ExtraTimeStrings
    extends java.lang.Object

ExtraTimeStrings, This class holds extra time strings. This includes: # Formats for parsing times in a particular language. All the fields and functions are static.

### Constructor Summary

Constructors
`ExtraTimeStrings()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.time.format.DateTimeFormatter` `getDefaultFormatForDisplayTime​(java.util.Locale locale)`
`static java.time.format.DateTimeFormatter` `getDefaultFormatForMenuTimes​(java.util.Locale locale)`
`static java.util.ArrayList<java.time.format.DateTimeFormatter>` `getExtraTimeParsingFormatsForLocale​(java.util.Locale locale)` getExtraTimeParsingFormatsForLocale, This will return a list of extra parsing formatters for the specified locale.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtraTimeStrings

    public ExtraTimeStrings()

### Method Detail

#### getExtraTimeParsingFormatsForLocale

    public static java.util.ArrayList<java.time.format.DateTimeFormatter> getExtraTimeParsingFormatsForLocale​(java.util.Locale locale)

getExtraTimeParsingFormatsForLocale, This will return a list of extra parsing formatters for the specified locale. If no extra formatters are found, then this will return an empty list. (This will never return null.)

#### getDefaultFormatForDisplayTime

    public static java.time.format.DateTimeFormatter getDefaultFormatForDisplayTime​(java.util.Locale locale)

#### getDefaultFormatForMenuTimes

    public static java.time.format.DateTimeFormatter getDefaultFormatForMenuTimes​(java.util.Locale locale)